우분투 커널 관련

안녕하세요 이번에 우분투로 개발을 하려고 우분투 설치 중인데요.
설치 버젼은 Ubuntu Server 12.04.4 LTS 사용중입니다.
해당버젼의 커널이 3.11.0-17-generic 버젼인데요.
제가 사용중인 하드웨어가 Kernel 2.6.38 까지 지원하더라고요.
드라이버 인스톨을 하게 되면 오류가 되어서.
커널을 내릴수가 없더라고요 . 그래서 Ubuntu 11.04로 설치를 하려고 하면
미러 서버 때문에 설치가 안되더라고요…
11.04버젼으로 설치가 되는 방법이나
혹은 12.04버젼에서 커널을 2.6.38로 다운그레이드가 되는 방법이 없을까요